variables:
  DOCKER_DRIVER: overlay2
  RELEASE_IMAGE: registry.gitlab.com/islandoftex/images/javafx-gradle

stages:
  - build

image: docker:latest
services:
  - docker:dind

before_script:
  - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN registry.gitlab.com
  - docker info

build:jdk8:
  stage: build
  script:
    - sh build-for-jdk.sh 8

build:jdk11:
  stage: build
  script:
    - sh build-for-jdk.sh 11
